> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Cart Warehouse Trackstar Tags

> Update the trackstar tags for the specified cart warehouse.



## OpenAPI

````yaml put /cart/warehouses/{warehouse_id}/trackstar-tags
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /cart/warehouses/{warehouse_id}/trackstar-tags:
    put:
      tags:
        - cart
        - Warehouses
      summary: Update Cart Warehouse Trackstar Tags
      description: Update the trackstar tags for the specified cart warehouse.
      operationId: put_cart_update_warehouse_trackstar_tags
      parameters:
        - in: path
          name: warehouse_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddTrackstarTagcartWarehouseInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cartAddTrackstarTagWarehouseResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    AddTrackstarTagcartWarehouseInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/AddTrackstarTagwarehousesSchema--Base__Schema--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Amazon--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--BigCommerce--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--eBay--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Etsy--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Faire--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Groupon--'
        - $ref: >-
            #/components/schemas/AddTrackstarTagcartWarehouse--Magento__-_Adobe__Commerce_---
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Mirakl--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--NuOrder--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Overstock--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Cart__Sandbox--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Shopify--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Squarespace--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--TikTok--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Walmart--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Wayfair--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--Wix--'
        - $ref: '#/components/schemas/AddTrackstarTagcartWarehouse--WooCommerce--'
      title: AddTrackstarTagcartWarehouseInputSchema
    cartAddTrackstarTagWarehouseResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AddCartWarehousesTagsResponseDataSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: cartAddTrackstarTagWarehouseResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    AddTrackstarTagwarehousesSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: true
      title: Base Schema
    AddTrackstarTagcartWarehouse--Amazon--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Amazon
    AddTrackstarTagcartWarehouse--BigCommerce--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: BigCommerce
    AddTrackstarTagcartWarehouse--eBay--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: eBay
    AddTrackstarTagcartWarehouse--Etsy--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Etsy
    AddTrackstarTagcartWarehouse--Faire--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Faire
    AddTrackstarTagcartWarehouse--Groupon--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Groupon
    AddTrackstarTagcartWarehouse--Magento__-_Adobe__Commerce_---:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Magento (Adobe Commerce)
    AddTrackstarTagcartWarehouse--Mirakl--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Mirakl
    AddTrackstarTagcartWarehouse--NuOrder--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: NuOrder
    AddTrackstarTagcartWarehouse--Overstock--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Overstock
    AddTrackstarTagcartWarehouse--Cart__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Cart Sandbox
    AddTrackstarTagcartWarehouse--Shopify--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Shopify
    AddTrackstarTagcartWarehouse--Squarespace--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Squarespace
    AddTrackstarTagcartWarehouse--TikTok--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: TikTok
    AddTrackstarTagcartWarehouse--Walmart--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Walmart
    AddTrackstarTagcartWarehouse--Wayfair--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Wayfair
    AddTrackstarTagcartWarehouse--Wix--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: Wix
    AddTrackstarTagcartWarehouse--WooCommerce--:
      type: object
      properties:
        trackstar_tags:
          type: array
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - trackstar_tags
      additionalProperties: false
      title: WooCommerce
    AddCartWarehousesTagsResponseDataSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the warehouse.
          example: warehouse_id
        created_date:
          type: string
          format: date-time
          description: The date the warehouse was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the warehouse was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: The name of the warehouse.
          example: Bethlehem (PA)
        code:
          type:
            - string
            - 'null'
          description: The warehouse code.
          example: ABE-1
        address:
          $ref: '#/components/schemas/ShipFromAddress'
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      required:
        - address
        - code
        - created_date
        - id
        - name
        - trackstar_tags
        - updated_date
      additionalProperties: false
      title: AddCartWarehousesTagsResponseDataSchema
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress

````